/* Copyright 2009 Palm, Inc.  All rights reserved. */

var ProgressAssistant = Class.create({
	
	initialize: function(msg) {
		this.message = msg;
	},
	
	setup: function() {
		this.spinnerLAttrs = {
			spinnerSize: Mojo.Widget.spinnerSmall
		},
		this.spinnerModel = {
			spinning: true
		},
		this.controller.setupWidget('progress-spinner', this.spinnerLAttrs, this.spinnerModel);
		this.controller.get('progress-msg').innerHTML = this.message;
	},
	
	activate: function() {
		
	},
	
	deactivate: function() {
		
	},
	
});
